using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FluentValidation;
using Hotline.Share.Dtos.Order.OrderVisit;

namespace Hotline.Validators.Order.OrderVisit
{
    public class BatchVoiceVisitRequestValidator : AbstractValidator<BatchVoiceVisitRequest>
    {
        public BatchVoiceVisitRequestValidator()
        {
            RuleFor(d => d.VisitIds)
                .Cascade(CascadeMode.Stop)
                .NotEmpty()
                .WithMessage("请选择待回访数据");
        }
    }
}
